Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005727 [JEDI VCL] 00 JVCL Components minor always 2011-11-29 11:19 2012-09-10 14:15
Reporter Arioch View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005727: obsolete class in JvJVCLUtls.pas ?
Description in the file there is this thing:

type
  TAccessReader = class(TReader)
  end;

And i find no use in JVCL sources (did not checked examples though)

i guess it is some remnant of the past ?
Perhaps be dropped better ?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019167)
AHUser (developer)
2011-11-30 19:44

The TAccessReader class is now removed.
(0019168)
Arioch (developer)
2011-11-30 20:06

The following was filled in Eclipse in "Fields to reproduce", seems it is missed from WWW mantis. In general or at least in this beta mantis. At least i could not see it in WWW.

=================

And perhaps better be replaced with

type TReaderCracker = class (TReader)
     public property PropName;
end;


This comes handy when in need to dispose of DFM legacy and redundancy

===============

Whad'ya think ? it is used in my reworked TJvIPAddress of#5716

- Issue History
Date Modified Username Field Change
2011-11-29 11:19 Arioch New Issue
2011-11-30 19:44 AHUser Note Added: 0019167
2011-11-30 19:44 AHUser Status new => resolved
2011-11-30 19:44 AHUser Fixed in Version => Daily / SVN
2011-11-30 19:44 AHUser Resolution open => fixed
2011-11-30 19:44 AHUser Assigned To => AHUser
2011-11-30 20:06 Arioch Resolution fixed => reopened
2011-11-30 20:06 Arioch Description Updated
2011-11-30 20:06 Arioch Steps to Reproduce Updated
2011-11-30 20:06 Arioch Note Added: 0019168
2011-11-30 20:06 Arioch Resolution reopened => fixed
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker